%define gcj_support 1

Name:		jonathan-rmi
Version:	3.1
Release:	%mkrel 1
Epoch:		0
Summary:	Subset of javax.rmi
License:	LGPL
URL:		http://jonathan.objectweb.org/
Group:          Development/Java
Source:		%{name}-%{version}.tar.bz2
# export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jonathan
# cvs login
# cvs export -r Jonathan_3_1 jonathan/src/javax/rmi
Source1:	RunTime.java
Patch1:		%{name}-%{version}.patch.bz2
Patch3:		%{name}-api.patch.bz2
Patch4:		%{name}-classloader.patch.bz2
BuildRequires:	java-devel
BuildRequires:	jacorb >= 0:2.2
Requires:	jacorb >= 0:2.2
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
# libgcj aot-compiled native libraries
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel >= 0:1.0.31
Requires(post):   java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31
%endif

%description
A subset of javax.rmi that libgcj is otherwise missing.

%prep
%setup -q -n jonathan
%patch1 -p0
%patch3 -p0
%patch4 -p0

mkdir -p src/org/omg/SendingContext
cp -a %{SOURCE1} src/org/omg/SendingContext

%build
%javac -d build src
(cd build && jar cf %{name}-%{version}.jar *)

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_jvmdir}/java-1.4.2-gcj-1.4.2.0/jre/lib
ln -s %{_javadir}/%{name}-%{version}.jar \
    $RPM_BUILD_ROOT%{_jvmdir}/java-1.4.2-gcj-1.4.2.0/jre/lib/%{name}.jar

%if %{gcj_support}
%{_jvmdir}/java-gcj/bin/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/rebuild-gcj-db

%postun
%{_bindir}/rebuild-gcj-db

%files
%defattr(-,root,root)
%{_javadir}/*.jar
%{_jvmdir}/java-1.4.2-gcj-1.4.2.0/jre/lib/%{name}.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%changelog
* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:3.1-1mdk
- release

* Tue Jul 19 2005 Gary Benson <gbenson@redhat.com> 3.1-5
- Fix libgcj extension symlink.

* Tue Jul 19 2005 Gary Benson <gbenson@redhat.com> 3.1-4
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm.
- Add symbolic link in libgcj's extension directory.
- Require a jacorb with a similar extension link.

* Mon Jun 27 2005 Gary Benson <gbenson@redhat.com> 3.1-3
- BC-compile.

* Thu Jun 23 2005 Gary Benson <gbenson@redhat.com> 3.1-2
- Use the context classloader when loading delegates.

* Wed Jun 22 2005 Gary Benson <gbenson@redhat.com>
- Also provide org.omg.SendingContext.RunTime.

* Tue Jun  7 2005 Gary Benson <gbenson@redhat.com> 3.1-1
- Initial version.
